# Base definitions

Basic utility stuff.

pyvips.base.leak_set(leak)

  Enable or disable libvips leak checking.

  With this enabled, libvips will check for object and area leaks on exit. Enabling this option will make libvips run slightly more slowly.

pyvips.base.shutdown()

  Shut libvips down.

pyvips.base.version(flag)

  Get the major, minor or micro version number of the libvips library.

  Parameters:

    flag (int) – Pass flag 0 to get the major version number, flag 1 to get minor, flag 2 to get micro.

  Returns:

    The version number,

  Raises:

    .Error –

pyvips.base.at_least_libvips(x, y)

  Is this at least libvips x.y?

pyvips.base.type_find(basename, nickname)

  Get the GType for a name.

  Looks up the GType for a nickname. Types below basename in the type hierarchy are searched.

pyvips.base.nickname_find(gtype)

  Return the nickname for a GType.

pyvips.base.get_suffixes()

  Get a list of all the filename suffixes supported by libvips.

  Returns:

    [string]

pyvips.base.type_name(gtype)

  Return the name for a GType.

pyvips.base.type_map(gtype, fn)

  Map fn over all child types of gtype.

pyvips.base.type_from_name(name)

  Return the GType for a name.

pyvips.base.values_for_enum(gtype)

  Deprecated.

pyvips.base.values_for_flag(gtype)

  Deprecated.

pyvips.base.enum_dict(gtype)

  Get name -> value dict for a enum (gtype).

pyvips.base.flags_dict(gtype)

  Get name -> value dict for a flags (gtype).